Groovy 1.7.0

## groovy.swing.factory
Class DialogFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.RootPaneContainerFactory
              groovy.swing.factory.DialogFactory

    class DialogFactory
    extends RootPaneContainerFactory

Constructor Summary
`DialogFactory()`

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

Methods inherited from class RootPaneContainerFactory
handleRootPaneTasks, onNodeCompleted, setChild

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### DialogFactory

    DialogFactory()

Method Detail

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

Copyright © 2003-2009 The Codehaus. All rights reserved.